\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{jnanabha}[2014/08/16 Example LaTeX class]

\LoadClass[10pt]{article}
\usepackage{amsmath,amsthm,amssymb,amsfonts,graphicx,geometry,epsfig,cases,subcaption,url,stmaryrd,float,subfloat,lineno,lastpage,stackrel}


\usepackage[lined,algonl,boxed]{algorithm2e}
%\usepackage[utf8]{inputenc}
%\usepackage[T1]{fontenc}
\usepackage{enumerate}
%%%%%%%%%%%%%%%%%%%%%%%%%%
%\usepackage{fourier}
%\usepackage{cmbright}
%\usepackage{fouriernc}%Century Schoolbook
%\usepackage{kmath,kerkis} % The order of the packages matters; kmath changes the default text font
%\usepackage{txfonts}
%\usepackage{times}
%\usepackage{bookman}
%\usepackage{newcent}
%\usepackage{charter}
%\usepackage{mathptmx}    %adobe times roman font
%\usepackage{hyperref}
%\usepackage{kpfonts}
%\usepackage{fourier}
%\usepackage[utf8]{inputenc}
%\usepackage[english]{babel}
%\usepackage[T1]{fontenc} 
%Theorem Style%%%%%%%
\numberwithin{equation}{section}
%\newtheoremstyle{name}{abovespace}{belowspace}{bodyfont}{indent}{headfont}{headpunct}{headspace}{custom-head-spec}
\newtheoremstyle{thmstyle}{}{}{\it}{}{\bf}{.}{ }{}
\theoremstyle{thmstyle}
\newtheorem{result}{{Result}}[section]
\newtheorem{thm}{{Theorem}}[section]
\newtheorem{cor}{{Corollary}}[section]
\newtheorem{lem}{{Lemma}}[section]
\newtheorem{dfn}{{Definition}}[section]
\newtheorem{rem}{{Remark}}[section]
\newtheorem{prop}{{Proposition}}[section]
\newtheorem{notation}{{Notation}}[section]
\newtheorem{property}{{Property}}[section]
\newtheorem{assum}{{Assumption}}[section]
\newtheorem{prob}{{Problem}}[section]
\newtheorem{testp}{{Test Problem}}[section]
\newtheorem{representation}{{Representation}}[section]
\theoremstyle{definition}
\newtheorem{exm}{{Example}}[section]
%\theoremstyle{remark}
%\newtheorem{rem}{{Remark}}[section]
\newtheorem{note}{Note}[section]
\newtheorem{question}{Question}[section]
%===Theorem=====================================
\geometry{margin=1in}
\hbadness=10000\hfuzz=50pt\hyphenpenalty=1000\tolerance=1000
\allowdisplaybreaks
\newcommand{\subjclass}{\textbf{2010 Mathematics Subject Classification: }}
\newcommand{\subjclas}{\textbf{2020 Mathematical Sciences Classification: }}
\newcommand{\keywords}{\textbf{Keywords and Phrases: }}
\newcommand{\sumful}[1]{\displaystyle\sum^\infty_{#1}}
\newcommand{\bi}[1]{\textbf{\textit{{#1}}}}
\newcommand{\jnanabha}{\textit{J\~n\=an\=abha}}
\newcommand{\jnabha}{{jnanabha}}
\newcommand{\Jnanabha}{J\~n\=an\=abha }
\newcommand{\JNANABHA}{J\~N\=AN\=ABHA }
\newcommand{\vijnana}{Vij\~n\=ana }
\newcommand{\Vijnana}{Vij\~n\=ana }
\newcommand{\VIJNANA}{VIJ\~N\=ANA }
\newcommand*{\permcomb}[4][0mu]{{{}^{#3}\mkern#1#2_{#4}}}
\newcommand*{\perm}[1][-3mu]{\permcomb[#1]{P}}
\newcommand*{\comb}[1][-1mu]{\permcomb[#1]{C}}


\usepackage{sectsty}
\sectionfont{\fontsize{12}{15}\selectfont}
\subsectionfont{\fontsize{12}{15}\selectfont}
% ADD THE FOLLOWING COUPLE LINES INTO YOUR PREAMBLE
\let\OLDthebibliography\thebibliography
\renewcommand\thebibliography[1]{
	\OLDthebibliography{#1}
	\setlength{\parskip}{0pt}
	\setlength{\itemsep}{0pt plus 0.3ex}
}

\newcommand{\up}{Uttar Pradesh}

%%%%%%%%%%%
%%%section spacing
\usepackage{titlesec}
\titlespacing*{\section}
{0pt}{1ex}{0ex}
\titlespacing*{\subsection}
{0pt}{0ex}{0ex}
\titlespacing*{\subsubsection}
{0pt}{0ex}{0ex}
%%%%%%%%%%%%%
%%%%%%%%%%%%%
%\usepackage{titlesec}
\titleformat{\section}
{\normalfont\normalsize\bfseries}{\thesection%iqbalsectiondot.
}{1em}{}
\titleformat{\subsection}
{\normalfont\normalsize\bfseries}{\thesubsection}{1em}{}
\titleformat{\subsubsection}
{\normalfont\normalsize\bfseries}{\thesubsubsection}{1em}{}
%%%%%%%%%%%%%%%%%%
%List spacing normal
\usepackage{enumitem}
\setlist[1]{itemsep=-5pt}
%%%%\setlength{\belowcaptionskip}{-12pt}

\usepackage{setspace}
\AtBeginDocument{%
	\addtolength\abovedisplayskip{-0.5\baselineskip}%
	\addtolength\belowdisplayskip{-0.5\baselineskip}%
	%  \addtolength\abovedisplayshortskip{-0.5\baselineskip}%
	%  \addtolength\belowdisplayshortskip{-0.5\baselineskip}%
}
\newcommand{\volumefiftythreetwo}{
	\noindent
\textcolor{red}
	{ISSN 0304-9892 (Print)} \hfill 
\textcolor{red}
{ISSN 2455-7463 (Online)\\
		{www.vijnanaparishadofindia.org/jnanabha}}\\
	\noindent\textbf{\textit{J\~n\=an\=abha}, Vol. 53(2) (2023), \pageref{pgStart}-\pageref{pgCAbdio}}
	\\
	\textit{(Dedicated to Professor V. P. Saxena on His \emph{80}\textsuperscript{th} Birth Anniversary Celebrations)}}
\newcommand{\volumefiftytwotwo}{
\noindent
\textcolor{red}
{ISSN 0304-9892 (Print)} \hfill 
\textcolor{red}
{ISSN 2455-7463 (Online)\\
{www.vijnanaparishadofindia.org/jnanabha}}\\
\noindent\textbf{\textit{J\~n\=an\=abha}, Vol. 52(2) (2022), \pageref{pgStart}-\pageref{pgCAbdio}}
\\
	\textit{(Dedicated to Professor D. S. Hooda on His $80$\textsuperscript{th} Birth Anniversary Celebrations)}}
\newcommand{\volumefiftyone}{\noindent\textbf{J\~n\=an\=abha, Vol. 50(2) (2020), \pageref{pgStart}-\pageref{pgCAbdio}}\\
	\textit{( Dedicated to Honor Dr. R. C. Singh Chandel on His $75$\textsuperscript{th} Birth Anniversary Celebrations)}}
\newcommand{\specialvolume}{\noindent\textbf{J\~n\=an\=abha, Vol. 49(2) (2019), \pageref{pgStart}-\pageref{pgCAbdio}}}

\newcommand{\rb}[1]{\left({#1}\right)}
\newcommand{\sbr}[1]{\left[{#1}\right]}
\newcommand{\cb}[1]{\left\{{#1}\right\}}

\usepackage[labelfont=bf]{caption}
\captionsetup{font=small}
%\captionsetup{labelfont={bf}}

%\usepackage[font=small,labelfont={bf,it}]{caption}
%\renewcommand{\thefigure}{\arabic{section}.\arabic{figure}}

%\usepackage[margin=10pt,font=small,labelfont={it,bf},
%labelsep=endash]{caption}

%\renewcommand{\fnum@figure}{\textbf{Figure~{\rm{\bf\thefigure}}}}

%\renewcommand{\tnum@table}{\textbf{Table~{\rm{\bf\thefigure}}}}

\newcommand{\figcapfont}{\rm\bf}
\newcommand{\tabcapfont}{\rm\bf}
\renewcommand{\fnum@figure}{\figcapfont \textit{Figure} \thefigure}
\renewcommand{\fnum@table}{\tabcapfont \textit{Table} \thetable}



\newcommand{\email}[1]{Email: 
\textcolor{blue}
{{#1}}}

\usepackage{chngcntr}
\counterwithin{figure}{section}
\counterwithin{table}{section}
\usepackage{mathrsfs}
%\newcommand{\c}{\mathcal{C}}

\newcommand{\tsup}{\textsuperscript}
\newcommand{\tsub}{\textsubscript}

\usepackage{placeins}

\newcommand{\R}{\mathbb R}
\newcommand{\Rfrak}{\mathfrak R}
\newcommand{\C}{\mathbb C}

\usepackage[toc,page]{appendix}


\newcommand{\ackns}{\noindent\textbf{Acknowledgement. } {We are very much grateful to the Editor and Reviewer for their valuable suggestions for improving the paper in its present form.}}

\newcommand{\ackn}{\noindent\textbf{Acknowledgement. }}
\newcommand{\acks}{\noindent\textbf{Acknowledgements. }}


%\let\oldproofname=\proofname
%\renewcommand{\proofname}{\bf{\textit{\oldproofname}}}
%\renewcommand{\qedsymbol}{\rule{0.7em}{0.7em}}
%\renewenvironment{proof}{\noindent{\it Proof. }}{}
\def\N{\mathbb N}

\newcommand{\llbrace}{\left\lbrace}
\newcommand{\rrbrace}{\right\rbrace}

\newcommand{\llbrack}{\left\lbrack}
\newcommand{\rrbrack}{\right\rbrack}
\newcommand{\vvert}{\bigg\vert}

\def\diam{{\mathrm diam}}
\def\bcup{{\hboxstyle \bigcup}}
\def\ca{{\mathrm ca}}

\def\Int{\displaystyle\int}
\def\Sum{\displaystyle\sum}
\def\Frac{\displaystyle\frac}
\def\Min{\displaystyle\min}
\def\Cup{\displaystyle\cup}
\def\Cap{\displaystyle\cap}
\def\Sup{\displaystyle\sup}
\def\Max{\displaystyle\max}
\def\Inf{\displaystyle\inf}
\def\Lim{\displaystyle\lim}

\UseRawInputEncoding

\newcommand{\hypgeo}[2]{%
	\operatorname{%
		{\vphantom{\mathnormal{F}}}_{#1}%
		\kern-\scriptspace
		\mathnormal{F}_{#2}%
	}%
}

\newcommand{\hypgeopsi}[2]{%
	\operatorname{%
		{\vphantom{\mathnormal{\psi}}}_{#1}%
		\kern-\scriptspace
		\mathnormal{\psi}_{#2}%
	}%
}

%%%%%%%%
%\usepackage{etoolbox}
%\makeatletter
%\newcommand{\changeoperator}[1]{%
%	\csletcs{#1@saved}{#1@}%
%	\csdef{#1@}{\changed@operator{#1}}%
%}
%\newcommand{\changed@operator}[1]{%
%	\mathop{%
%		\mathchoice{\textstyle\csuse{#1@saved}}
%		{\csuse{#1@saved}}
%		{\csuse{#1@saved}}
%		{\csuse{#1@saved}}%
%	}%
%}
%\makeatother
%
%\changeoperator{sum}
%\changeoperator{prod}
%\changeoperator{int}
%%%%%%%%%%%%%%%%%%%%%%%%

%\let\oldsum\sum
%\renewcommand{\sum}{\textstyle\oldsum}
%\let\oldint\int
%\renewcommand{\int}{\textstyle\oldint}
%\let\oldprod\prod
%\renewcommand{\prod}{\textstyle\oldprod}

\usepackage{listings}
\lstset{
	basicstyle=\ttfamily\footnotesize,
	numbers=left, 
	numberstyle=\tiny, 
	numbersep=8pt,
	frame=single,
	breaklines=true,
	columns=fullflexible,
	postbreak=\mbox{\textcolor{red}{$\hookrightarrow$}\space}	
}
\usepackage{url,rotating}
\usepackage{xcolor}
\usepackage{algorithmic}
\setlist[itemize]{noitemsep,nolistsep}
\setlist[enumerate]{noitemsep,nolistsep}
%\usepackage{xcolor}


\newcommand{\DOI}{\begin{center}
\textcolor{red}
	{DOI: https://doi.org/10.58250/\jnabha.2023.532\jobname}
\end{center}}
\usepackage{accents}
\newcommand{\ubar}[1]{\underaccent{\bar}{#1}}
\usepackage{multicol}
%\setlist[itemize]{noitemsep, topsep=0pt}
%\setlist[enumerate]{noitemsep, topsep=0pt}

\newtheorem{pattern}{Pattern}[section]
\newenvironment{rcases}{\left.\begin{aligned}}{\end{aligned}\right\rbrace}
\newtheorem{observe}{Observation}[section]

\newcommand\myatop[2]{\genfrac{}{}{0pt}{}{#1}{#2}}

\usepackage[symbol]{footmisc}
\renewcommand{\thefootnote}{\fnsymbol{footnote}}
